from parallels.core.utils.entity import Entity


class Reseller(Entity):
    def __init__(self, reseller_id, login):
        self._reseller_id = reseller_id
        self._login = login

    @property
    def reseller_id(self):
        """
        :rtype: str | unicode
        """
        return self._reseller_id

    @property
    def login(self):
        """
        :rtype: str | unicode
        """
        return self._login
